Krb5AndCertsSslSocketConnector.Krb5SslFilter (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security
Class Krb5AndCertsSslSocketConnector.Krb5SslFilter

    java.lang.Object
      org.apache.hadoop.security.Krb5AndCertsSslSocketConnector.Krb5SslFilter

All Implemented Interfaces:
  javax.servlet.Filter

Enclosing class:
  Krb5AndCertsSslSocketConnector

    public static class Krb5AndCertsSslSocketConnector.Krb5SslFilter

extends Object
implements javax.servlet.Filter

Filter that takes the Kerberos principal identified in the `Krb5AndCertsSslSocketConnector` and provides it the to the servlet at runtime, setting the principal and short name.

Constructor Summary
`Krb5AndCertsSslSocketConnector.Krb5SslFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse resp, javax.servlet.FilterChain chain)`
`void` | `init(javax.servlet.FilterConfig arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Krb5AndCertsSslSocketConnector.Krb5SslFilter

    public Krb5AndCertsSslSocketConnector.Krb5SslFilter()

Method Detail

### doFilter

    public void doFilter(javax.servlet.ServletRequest req,
                         javax.servlet.ServletResponse resp,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### init

    public void init(javax.servlet.FilterConfig arg0)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation